Skip to main content
GET
/
off_exchange
/
collateral_accounts
/
{mainExchangeAccountId}
TypeScript
const response: Promise<FireblocksResponse<ExchangeAccount>> = fireblocks.offExchanges.getOffExchangeCollateralAccounts(offExchangesApiGetOffExchangeCollateralAccountsRequest);
{
  "id": "<string>",
  "name": "<string>",
  "status": "<string>",
  "assets": [
    {
      "id": "<string>",
      "balance": "<string>",
      "lockedAmount": "<string>",
      "total": "<string>",
      "available": "<string>",
      "credit": "<string>",
      "assetId": "2306088f-97ed-4293-8d28-8ab627f272d7",
      "providerSymbol": "BTC",
      "assetSymbol": "BTC",
      "assetLegacyId": "BTC"
    }
  ],
  "success": true,
  "tradingAccounts": [
    {
      "type": "<string>",
      "name": "<string>",
      "assets": [
        {
          "id": "<string>",
          "balance": "<string>",
          "lockedAmount": "<string>",
          "total": "<string>",
          "available": "<string>",
          "credit": "<string>",
          "assetId": "2306088f-97ed-4293-8d28-8ab627f272d7",
          "providerSymbol": "BTC",
          "assetSymbol": "BTC",
          "assetLegacyId": "BTC"
        }
      ]
    }
  ],
  "isSubaccount": true,
  "mainAccountId": "<string>"
}

Path Parameters

mainExchangeAccountId
string
required

The id of the main exchange account for which the requested collateral account is associated with

Response

An ExchangeAccount object

id
string
type
enum<string>

Exchange account's type

Available options:
INDEPENDENT_RESERVE,
ENCLAVE_MARKETS,
BIT,
COINFLEX,
KUCOIN,
PXS,
LIQUID,
BITHUMB,
BITFINEX,
BITSO,
BITSTAMP,
KRAKEN,
KRAKENINTL,
BINANCE,
BINANCEUS,
CRYPTOCOM,
BYBIT_V2,
COINBASEPRO,
COINBASEPRIME,
COINBASEINTERNATIONAL,
WHITEBIT,
COINBASEEXCHANGE,
KORBIT,
HITBTC,
GEMINI,
CIRCLE,
BITMEX,
HUOBI,
DERIBIT,
OKCOIN_V5,
OKEX,
COINMETRO,
GATEIO,
SCRYPT,
COINHAKO,
LIGHTBIT,
BULLISH,
CANVAS_CONNECT,
BITGET,
LUNO,
BIT_GENERA,
TRANSFERO
name
string

Display name of the exchange account

status
string
assets
object[]
success
boolean

Did succeed in retrieve balance data

tradingAccounts
object[]
isSubaccount
boolean

True if the account is a subaccount in an exchange

mainAccountId
string

if the account is a sub-account, the ID of the main account